package smash.appointment.parse;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

import java.io.FileNotFoundException;
import java.util.Calendar;
import java.util.List;

import org.apache.log4j.Logger;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.Test;

public class XlsxCalendarProcessorTest extends TestBase {
	Logger								logger		= Logger.getLogger(XlsxCalendarProcessorTest.class);

	XlsxCalendarProcessor	processor	= new XlsxCalendarProcessor();

	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	@Before
	public void setUp() {
		super.setUp();
		processor.setSubjectDao(subjectDao);
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testReadExcel() throws Exception {
		List<AppointmentEntry> entries = processor.processExcel("testFiles/calendarExample.xlsx", Calendar.getInstance());
		assertTrue(entries.size() > 0);
	}

}
